<html>
<head>
<title>OGRE: OgreTextureManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreTextureManager.h</h1><a href="OgreTextureManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef _TextureManager_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define _TextureManager_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#include "<a class="code" href="OgreResourceManager_8h.html">OgreResourceManager.h</a>"</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include "<a class="code" href="OgreTexture_8h.html">OgreTexture.h</a>"</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include "<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>"</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 <span class="keyword">namespace </span>Ogre {
<a name="l00041"></a>00041 
<a name="l00055"></a><a class="code" href="classOgre_1_1TextureManager.html">00055</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1TextureManager.html" title="Class for loading &amp;amp; managing textures.">TextureManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;TextureManager&gt;
<a name="l00056"></a>00056     {
<a name="l00057"></a>00057     <span class="keyword">public</span>:
<a name="l00058"></a>00058 
<a name="l00059"></a>00059         <a class="code" href="classOgre_1_1TextureManager.html" title="Class for loading &amp;amp; managing textures.">TextureManager</a>(<span class="keywordtype">void</span>);
<a name="l00060"></a>00060         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1TextureManager.html" title="Class for loading &amp;amp; managing textures.">TextureManager</a>();
<a name="l00061"></a>00061 
<a name="l00084"></a>00084         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> load( 
<a name="l00085"></a>00085             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, 
<a name="l00086"></a>00086             <a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType = <a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7f1f732018f5a2a7d35233e2ceeb4ee0e" title="2D texture, used in combination with 2D texture coordinates (default)">TEX_TYPE_2D</a>, <span class="keywordtype">int</span> numMipmaps = <a class="code" href="namespaceOgre.html#528ce4f4c67c9b043e1f0b8bb3cdf25556eea45719de5246f4ea9b8e8b54921d" title="Use TextureManager default.">MIP_DEFAULT</a>, 
<a name="l00087"></a>00087             <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> gamma = 1.0f, <span class="keywordtype">bool</span> isAlpha = <span class="keyword">false</span>,
<a name="l00088"></a>00088             <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> desiredFormat = <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39ca4292ed700edc51d74776f6efaf2a099" title="Unknown pixel format.">PF_UNKNOWN</a>);
<a name="l00089"></a>00089 
<a name="l00116"></a>00116         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> loadImage( 
<a name="l00117"></a>00117             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a> &amp;img, 
<a name="l00118"></a>00118             <a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType = <a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7f1f732018f5a2a7d35233e2ceeb4ee0e" title="2D texture, used in combination with 2D texture coordinates (default)">TEX_TYPE_2D</a>,
<a name="l00119"></a>00119             <span class="keywordtype">int</span> iNumMipmaps = <a class="code" href="namespaceOgre.html#528ce4f4c67c9b043e1f0b8bb3cdf25556eea45719de5246f4ea9b8e8b54921d" title="Use TextureManager default.">MIP_DEFAULT</a>, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> gamma = 1.0f, <span class="keywordtype">bool</span> isAlpha = <span class="keyword">false</span>,
<a name="l00120"></a>00120             <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> desiredFormat = <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39ca4292ed700edc51d74776f6efaf2a099" title="Unknown pixel format.">PF_UNKNOWN</a>);
<a name="l00121"></a>00121             
<a name="l00147"></a>00147         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> loadRawData(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group,
<a name="l00148"></a>00148             <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">DataStreamPtr</a>&amp; stream, <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> uWidth, <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> uHeight, 
<a name="l00149"></a>00149             <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType = <a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7f1f732018f5a2a7d35233e2ceeb4ee0e" title="2D texture, used in combination with 2D texture coordinates (default)">TEX_TYPE_2D</a>, 
<a name="l00150"></a>00150             <span class="keywordtype">int</span> iNumMipmaps = <a class="code" href="namespaceOgre.html#528ce4f4c67c9b043e1f0b8bb3cdf25556eea45719de5246f4ea9b8e8b54921d" title="Use TextureManager default.">MIP_DEFAULT</a>, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> gamma = 1.0f);
<a name="l00151"></a>00151 
<a name="l00186"></a>00186         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> createManual(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group,
<a name="l00187"></a>00187             <a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType, <a class="code" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> width, <a class="code" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> height, <a class="code" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> depth, 
<a name="l00188"></a>00188             <span class="keywordtype">int</span> num_mips, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage = <a class="code" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf67caa45fe77d1becf4c5bd353bc2aa764b" title="default to automatic mipmap generation static textures">TU_DEFAULT</a>, <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader = 0 );
<a name="l00189"></a>00189             
<a name="l00224"></a><a class="code" href="classOgre_1_1TextureManager.html#f270b79b989fb37e37aba834783583db">00224</a>         <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> createManual(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group,
<a name="l00225"></a>00225             <a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> texType, <a class="code" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> width, <a class="code" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> height, <span class="keywordtype">int</span> num_mips,
<a name="l00226"></a>00226             <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage = <a class="code" href="namespaceOgre.html#f140ec886884a864abc74a7556f8bf67caa45fe77d1becf4c5bd353bc2aa764b" title="default to automatic mipmap generation static textures">TU_DEFAULT</a>, <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader = 0 )
<a name="l00227"></a>00227         {
<a name="l00228"></a>00228             <span class="keywordflow">return</span> createManual(name, group, texType, width, height, 1, 
<a name="l00229"></a>00229                 num_mips, format, usage, loader);
<a name="l00230"></a>00230         }
<a name="l00231"></a>00231 
<a name="l00239"></a>00239         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPreferredIntegerBitDepth(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> bits, <span class="keywordtype">bool</span> reloadTextures = <span class="keyword">true</span>);
<a name="l00240"></a>00240 
<a name="l00243"></a>00243         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getPreferredIntegerBitDepth(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00244"></a>00244 
<a name="l00252"></a>00252         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPreferredFloatBitDepth(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> bits, <span class="keywordtype">bool</span> reloadTextures = <span class="keyword">true</span>);
<a name="l00253"></a>00253 
<a name="l00256"></a>00256         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getPreferredFloatBitDepth(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00257"></a>00257 
<a name="l00268"></a>00268         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPreferredBitDepths(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> integerBits, <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> floatBits, <span class="keywordtype">bool</span> reloadTextures = <span class="keyword">true</span>);
<a name="l00269"></a>00269 
<a name="l00286"></a>00286         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isFormatSupported(<a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> ttype, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage);
<a name="l00287"></a>00287 
<a name="l00291"></a>00291         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isEquivalentFormatSupported(<a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> ttype, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage);
<a name="l00292"></a>00292 
<a name="l00296"></a>00296         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> getNativeFormat(<a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> ttype, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage) = 0;
<a name="l00297"></a>00297 
<a name="l00337"></a>00337         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isHardwareFilteringSupported(<a class="code" href="namespaceOgre.html#e50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> ttype, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> usage,
<a name="l00338"></a>00338             <span class="keywordtype">bool</span> preciseFormatOnly = <span class="keyword">false</span>) = 0;
<a name="l00339"></a>00339 
<a name="l00348"></a>00348         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setDefaultNumMipmaps(<span class="keywordtype">size_t</span> num);
<a name="l00349"></a>00349 
<a name="l00352"></a><a class="code" href="classOgre_1_1TextureManager.html#3cc7b930d37bc9fc156f7a2cadb572a3">00352</a>         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> getDefaultNumMipmaps()
<a name="l00353"></a>00353         {
<a name="l00354"></a>00354             <span class="keywordflow">return</span> mDefaultNumMipmaps;
<a name="l00355"></a>00355         }
<a name="l00356"></a>00356 
<a name="l00372"></a>00372         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextureManager.html" title="Class for loading &amp;amp; managing textures.">TextureManager</a>&amp; getSingleton(<span class="keywordtype">void</span>);
<a name="l00388"></a>00388         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextureManager.html" title="Class for loading &amp;amp; managing textures.">TextureManager</a>* getSingletonPtr(<span class="keywordtype">void</span>);
<a name="l00389"></a>00389 
<a name="l00390"></a>00390     <span class="keyword">protected</span>:
<a name="l00391"></a>00391 
<a name="l00392"></a><a class="code" href="classOgre_1_1TextureManager.html#fd3d774913cd2e1d01d3670e0dd5ac9c">00392</a>         <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mPreferredIntegerBitDepth;
<a name="l00393"></a><a class="code" href="classOgre_1_1TextureManager.html#26393ed87920709f9e73715bb9b90468">00393</a>         <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mPreferredFloatBitDepth;
<a name="l00394"></a><a class="code" href="classOgre_1_1TextureManager.html#3c3115c8ccf3796cad2ec691ce019221">00394</a>         <span class="keywordtype">size_t</span> mDefaultNumMipmaps;
<a name="l00395"></a>00395     };
<a name="l00396"></a>00396 }<span class="comment">// Namespace</span>
<a name="l00397"></a>00397 
<a name="l00398"></a>00398 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:57 2008
</p>
</body>
</html>
